NewWacht Bench is live — AI-assisted development for Wacht
GET
/ai/actor-projects/{project_id}/board/items/{item_id}/filesystem/file

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

project_id*string
item_id*string

Query Parameters

path?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/actor-projects/string/board/items/string/filesystem/file"
{  "path": "string",  "name": "string",  "mime_type": "string",  "is_text": true,  "size_bytes": 0,  "truncated": true,  "content": "string",  "content_base64": "string"}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}